org.jbpm.workflow.instance.node

## Class EventNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.EventNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.NodeInstance
  Direct Known Subclasses:
    AsyncEventNodeInstance, BoundaryEventNodeInstance

      public class EventNodeInstance
      extends ExtendedNodeInstanceImpl
      implements EventNodeInstanceInterface, EventBasedNodeInstanceInterface

  Runtime counterpart of an event node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListeners()`
    `protected void` | `addTimerListener()`
    `void` | `cancel()`
    `protected void` | `configureSla()`
    `protected org.kie.api.runtime.process.EventListener` | `getEventListener()`
    `EventNode` | `getEventNode()`
    `String` | `getEventType()`
    `protected void` | `handleSLAViolation()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `removeEventListeners()`
    `void` | `removeTimerListeners()`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventNodeInstance

          public EventNodeInstance()

  - ### Method Detail

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `ExtendedNodeInstanceImpl`

    - #### configureSla

          protected void configureSla()

      Overrides:
        `configureSla` in class `NodeInstanceImpl`

    - #### handleSLAViolation

          protected void handleSLAViolation()

    - #### addTimerListener

          protected void addTimerListener()

    - #### removeTimerListeners

          public void removeTimerListeners()

    - #### getEventNode

          public EventNode getEventNode()

    - #### triggerCompleted

          public void triggerCompleted()

    - #### cancel

          public void cancel()

      Overrides:
        `cancel` in class `NodeInstanceImpl`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`

    - #### getEventType

          public String getEventType()

    - #### getEventListener

          protected org.kie.api.runtime.process.EventListener getEventListener()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.